From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/mpdecimal/
Date: Tue, 06 May 2025 05:29:01 +0000 (UTC) [thread overview]
Message-ID: <1746509330.5a607bce5de94af97d2bc8c4a6322e642039c11f.mgorny@gentoo> (raw)
commit: 5a607bce5de94af97d2bc8c4a6322e642039c11f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 6 04:40:33 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 6 05:28:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a607bce
dev-libs/mpdecimal: Bump to 4.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-libs/mpdecimal/Manifest | 1 +
dev-libs/mpdecimal/mpdecimal-4.0.1.ebuild | 63 +++++++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-libs/mpdecimal/Manifest b/dev-libs/mpdecimal/Manifest
index 925cbb7e68f4..05a8896edb72 100644
--- a/dev-libs/mpdecimal/Manifest
+++ b/dev-libs/mpdecimal/Manifest
@@ -1,2 +1,3 @@
DIST dectest.zip 791733 BLAKE2B ba74ee96f6687ce34cac8406fd7fd1f743d72647a5f883f1054829d992d4dc0f61c9e3b88e2529f425cc2fbda14dfc372b3fbfafe6553baabb3244172fed712f SHA512 05f9d12aec1ebfc9ca211b01705b41c5cd1bbc54d9aa6c4799b40fb3ab1835433fd1a277735d26d2530c3793c58b107b3abb1c31f64340e5e9d7856d92c821cf
DIST mpdecimal-4.0.0.tar.gz 315325 BLAKE2B aed5b6d5c03b12017989bbac9a166366e800ce5ee8d2fad5a1b81def48877126233998df306968902c728776616b1c06ce0ef05ea066c07daf841a53541a09f9 SHA512 7610ac53ac79f7a8a33fa7a3e61515810444ec73ebca859df7a9ddc18e96b990c99323172810c9cc7f6d6e1502c0be308cd443d6c2d5d0c871648e4842e05d59
+DIST mpdecimal-4.0.1.tar.gz 316268 BLAKE2B fcdb89721b0e16ba8cba25fab953e1f0a4b24366d0dfbc11c942e37537a3716699917013ab9e73e809c48174add8da41b4991b0250cbef07966cab81ae85b3eb SHA512 431fa8ab90d6b8cdecc38b1618fd89d040185dec3c1150203e20f40f10a16160058f6b8abddd000f6ecb74f4dc42d9fef8111444f1496ab34c34f6b814ed32b7
diff --git a/dev-libs/mpdecimal/mpdecimal-4.0.1.ebuild b/dev-libs/mpdecimal/mpdecimal-4.0.1.ebuild
new file mode 100644
index 000000000000..3217dd9dc406
--- /dev/null
+++ b/dev-libs/mpdecimal/mpdecimal-4.0.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Correctly-rounded arbitrary precision decimal floating point arithmetic"
+HOMEPAGE="https://www.bytereef.org/mpdecimal/"
+SRC_URI="
+ https://www.bytereef.org/software/mpdecimal/releases/${P}.tar.gz
+ test? (
+ https://speleotrove.com/decimal/dectest.zip
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="cxx test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ app-arch/unzip
+ )
+"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+ if use test; then
+ mkdir "${P}/tests/testdata" || die
+ cd "${P}/tests/testdata" || die
+ unpack dectest.zip
+ fi
+}
+
+src_prepare() {
+ default
+
+ # sigh
+ sed -i -e "s:/lib:/$(get_libdir):" lib*/.pc/*.pc.in || die
+}
+
+src_configure() {
+ local myconf=(
+ # just COPYRIGHT.txt
+ --docdir=/removeme
+ $(use_enable cxx)
+ )
+
+ # more sigh
+ # https://bugs.gentoo.org/931599
+ local -x LDXXFLAGS="${LDFLAGS}" LD="${CC}" LDXX="${CXX}"
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ emake check
+}
+
+src_install() {
+ default
+ rm -r "${D}/removeme" || die
+}
next reply other threads:[~2025-05-06 5:29 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-05-06 5:29 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-12 13:00 [gentoo-commits] repo/gentoo:master commit in: dev-libs/mpdecimal/ Fabian Groffen
2024-06-07 23:40 Ionen Wolkens
2024-06-07 16:25 Arthur Zamarin
2024-06-05 7:16 Sam James
2024-06-05 7:00 Arthur Zamarin
2024-06-05 6:48 Arthur Zamarin
2024-06-05 6:48 Arthur Zamarin
2024-05-26 13:08 Andreas K. Hüttel
2024-05-13 1:01 Michał Górny
2024-05-13 1:01 Michał Górny
2024-05-09 19:36 Arthur Zamarin
2024-05-09 19:36 Arthur Zamarin
2024-05-09 19:36 Arthur Zamarin
2024-05-09 19:36 Arthur Zamarin
2024-05-09 19:36 Arthur Zamarin
2024-05-09 14:24 Arthur Zamarin
2024-05-09 13:23 Michał Górny
2024-05-09 12:15 Michał Górny
2024-05-08 21:48 Yixun Lan
2024-05-08 21:27 Sam James
2024-05-08 19:21 Sam James
2024-05-08 19:21 Sam James
2024-05-08 19:21 Sam James
2024-05-08 19:21 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1746509330.5a607bce5de94af97d2bc8c4a6322e642039c11f.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox